/spaces/detections

Fetch all detections for spaces on a given day.
Response conforms to the JSON API spec https://jsonapi.org/.
Responses are limited to 10,000 detections after which pagination will take place.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Requests

DescriptionQuery
Query for 1 day of data.https://api.vergesense.com/spaces/detections?date=2022-08-02
Query for 1 hour of data.https://api.vergesense.com/spaces/detections?filter[timestamp][gte]=2022-08-02T16:00:00Z&filter[timestamp][lt]=2022-08-02T17:00:00Z
Query for 1 hour of data for a single spacehttps://api.vergesense.com/spaces/detections?space_id=1234&filter[timestamp][gte]=2022-08-02T16:00:00Z&filter[timestamp][lt]=2022-08-02T17:00:00Z

Response

FieldDescriptionData Type
dataArray of space detections.Array of Space Detection Models (see below)
includedIncluded relationships.Building
Floor
Space
linksPagination links.Links

Space Detection Model

FieldDescriptionData Type
idUnique identifier for the space detection.String
typespace_detectionString
attributes.space_idThe space (building/floor/space) that the detection was reported forInteger
attributes.timestampTimestamp of the detection (UTC)`String\
attributes.countCount of people detectedInteger
attributes.signs_of_lifeWhether or not "signs of life" were detected`Integer\
relationships.buildingOnly present if the detection was reported for a building. Details included in the included top level response key.`Object\
relationships.floorOnly present if the detection was reported for a floor. Details included in the included top level response key.`Object\
relationships.spaceOnly present if the detection was reported for a space. Details included in the included top level response key.`Object\
Query Params
date

Date to fetch thresholds crossings for. Date is required unless a timestamp filter query parameter is provided.

int32

The space e.g. building, floor, room that the detection was reported for

date-time

Greater than or equal to the timestamp.

date-time

Greater than the timestamp.

date-time

Less than or equal to the timestamp.

date-time

Less than the timestamp.

int32

Greater than the count of people detected.

boolean

Equal to the signs of life.

int32
Defaults to 1

Requested page number. Only used when pagination is applicable.

Headers
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json